%define plasmaver %(echo %version | cut -d. -f1-3)

Name:          plasma-desktop
Version:       5.18.5
Release:       1mamba
Summary:       KDE Plasma 5 Desktop
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/plasma/%{plasmaver}/plasma-desktop-%{version}.tar.xz
Patch0:        plasma-desktop-5.6.3-gcc-6.1.0.patch
Patch1:        plasma-desktop-5.16.2-disable-wheel-vertical-scroll-desktop.patch
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libattica5-devel
BuildRequires: libbaloo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libibus-devel
BuildRequires: libkactivities-stats-devel
BuildRequires: libkactivities5-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkbookmarks-devel
BuildRequires: libkcmutils-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkdelibs4support-devel
BuildRequires: libkemoticons-devel
BuildRequires: libkfilemetadata-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkitemmodels-devel
BuildRequires: libkitemviews-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknewstuff-devel
BuildRequires: libknotifications-devel
BuildRequires: libknotifyconfig-devel
BuildRequires: libkpackage-devel
BuildRequires: libkparts-devel
BuildRequires: libkrunner-devel
BuildRequires: libkservice-devel
BuildRequires: libksysguard-devel
BuildRequires: libktextwidgets-devel
BuildRequires: libkunitconversion-devel
BuildRequires: libkwallet-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libphonon-devel
BuildRequires: libplasma-framework-devel
BuildRequires: libplasma-workspace-devel
BuildRequires: libqt5-devel
BuildRequires: libscim-devel
BuildRequires: libsolid-devel
BuildRequires: libsonnet-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxcb-image-devel
BuildRequires: libxcb-keysyms-devel
BuildRequires: libxcb-util-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
BuildRequires: kwin
BuildRequires: libkactivities-stats-devel
BuildRequires: plasma-workspace
BuildRequires: libkwin-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      synaptiks
Conflicts:     kcm_touchpad
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KDE Plasma 5 Desktop.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
#-D -T
#:<< _EOF
%patch0 -p1
%patch1 -p1

%build
#:<< _EOF
%cmake_kde5 -d build

%make \
%ifarch arm
   -j1
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --with-html --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_bindir}/ibus-ui-emojier-plasma
%{_bindir}/kaccess
%ifnarch x86_64
%{_bindir}/kapplymousetheme
%endif
%{_bindir}/kcm-touchpad-list-devices
%{_bindir}/kcolorschemeeditor
%{_bindir}/kfontinst
%{_bindir}/kfontview
%{_bindir}/knetattach
%{_bindir}/krdb
%{_bindir}/lookandfeeltool
%{_bindir}/solid-action-desktop-gen
%{_bindir}/tastenbrett
%{_datadir}/applications/org.kde.plasma.emojier.desktop
%{_datadir}/kglobalaccel/org.kde.plasma.emojier.desktop
%{_datadir}/metainfo/org.kde.plasmashell.metainfo.xml
%{_datadir}/metainfo/org.kde.*.appdata.xml
%{_datadir}/applications/org.kde.kcolorschemeeditor.desktop
%{_datadir}/applications/org.kde.kfontview.desktop
%{_datadir}/applications/org.kde.knetattach.desktop
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.touchpad.xml
%{_datadir}/dbus-1/services/org.kde.fontinst.service
%{_datadir}/dbus-1/system-services/org.kde.*.service
%{_datadir}/dbus-1/system.d/org.kde.*.conf
%{_datadir}/icons/hicolor/*/devices/input-touchpad.png
%{_datadir}/icons/hicolor/*/mimetypes/fonts-package.png
%{_datadir}/icons/hicolor/*/apps/kfontview.png
%{_datadir}/icons/hicolor/scalable/apps/preferences-desktop-font-installer.svgz
%{_datadir}/icons/hicolor/scalable/devices/input-touchpad.svgz
%{_datadir}/kcm_componentchooser/kcm_*.desktop
%ifnarch x86_64
%dir %{_datadir}/kcmmouse
%{_datadir}/kcmmouse/*
%endif
%{_datadir}/kcmkeyboard/pics/epo.png
%{_datadir}/kcmkeys/*.kksrc
%{_datadir}/kcmsolidactions/solid-action-template.desktop
%{_datadir}/kconf_update/*
%{_datadir}/kcontrol/pics/logo.png
%{_datadir}/kcontrol/pics/mini-world.png
%{_datadir}/kdisplay/app-defaults/*
#%{_datadir}/kdm/pics/users/*.png
%{_datadir}/kfontinst/icons/hicolor/*/actions/*.png
%{_datadir}/knsrcfiles/*.knsrc
%{_datadir}/knotifications5/kaccess.notifyrc
%{_datadir}/knotifications5/kcm_touchpad.notifyrc
#%{_datadir}/knotifications5/kcmstyle.notifyrc
%{_datadir}/konqsidebartng/virtual_folders/services/fonts.desktop
%{_datadir}/kpackage/kcms/*
%{_datadir}/kservices5/ServiceMenus/installfont.desktop
%{_datadir}/kservices5/fonts.protocol
%{_datadir}/kservices5/*.desktop
%{_datadir}/kservices5/kded/touchpad.desktop
%{_kde5_servicetypesdir}/solid-device-type.desktop
%{_datadir}/kxmlgui5/kfontinst/kfontviewpart.rc
%{_datadir}/kxmlgui5/kfontview/kfontviewui.rc
%{_datadir}/plasma/*
%{_kde5_datadir}/kf5/kactivitymanagerd/workspace/settings/qml/*
%{_datadir}/polkit-1/actions/org.kde.fontinst.policy
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%{_datadir}/solid/devices/solid-device-*.desktop
%{_datadir}/locale/sr/LC_SCRIPTS/kfontinst/kfontinst.js
%{_datadir}/locale/sr@*/LC_SCRIPTS/kfontinst/kfontinst.js
%doc COPYING COPYING.DOC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/kconf_update_bin/krdb_clearlibrarypath
#%{_kde5_libdir}/libKF5ActivitiesExperimentalStats.so.*
%{_libdir}/libkdeinit5_kaccess.so
%{_libdir}/libkfontinst.so.*
%{_libdir}/libkfontinstui.so.*
%{_libdir}/libkfontinst.so
%{_libdir}/libkfontinstui.so
%{_libdir}/qt5/plugins/*.so
%{_libdir}/qt5/plugins/kcms/kcm_*.so
%{_libdir}/qt5/plugins/kf5/kded/*.so
%{_libdir}/qt5/plugins/plasma/dataengine/*.so
%{_libdir}/qt5/qml/org/kde/activities/settings/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/activityswitcher
%{_libdir}/qt5/qml/org/kde/plasma/activityswitcher/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/private
%{_libdir}/qt5/qml/org/kde/plasma/private/*
%dir %{_libdir}/qt5/qml/org/kde/private/desktopcontainment
%{_libdir}/qt5/qml/org/kde/private/desktopcontainment/*
%{_libexecdir}/kf5/kauth/fontinst*
%{_libexecdir}/kf5/kauth/kcmdatetimehelper
%{_libexecdir}/kimpanel-*
%{_libexecdir}/kfontprint
%{_libexecdir}/plasma-changeicons
#%doc COPYING.LIB

%changelog
* Fri May 08 2020 Automatic Build System <autodist@mambasoft.it> 5.18.5-1mamba
- automatic version update by autodist

* Mon Apr 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.18.4.1-1mamba
- update to 5.18.4.1

* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 5.18.4-1mamba
- automatic version update by autodist

* Thu Mar 12 2020 Automatic Build System <autodist@mambasoft.it> 5.18.3-1mamba
- automatic version update by autodist

* Wed Feb 26 2020 Automatic Build System <autodist@mambasoft.it> 5.18.2-1mamba
- automatic version update by autodist

* Wed Feb 19 2020 Automatic Build System <autodist@mambasoft.it> 5.18.1-1mamba
- automatic version update by autodist

* Tue Feb 18 2020 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Thu Jan 09 2020 Automatic Build System <autodist@mambasoft.it> 5.17.5-1mamba
- automatic version update by autodist

* Wed Dec 04 2019 Automatic Build System <autodist@mambasoft.it> 5.17.4-1mamba
- automatic version update by autodist

* Wed Nov 13 2019 Automatic Build System <autodist@mambasoft.it> 5.17.3-1mamba
- automatic version update by autodist

* Thu Oct 31 2019 Automatic Build System <autodist@mambasoft.it> 5.17.2-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 5.17.1-1mamba
- automatic version update by autodist

* Sat Oct 19 2019 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Tue Sep 03 2019 Automatic Build System <autodist@mambasoft.it> 5.16.5-1mamba
- automatic version update by autodist

* Tue Jul 30 2019 Automatic Build System <autodist@mambasoft.it> 5.16.4-1mamba
- automatic version update by autodist

* Wed Jul 10 2019 Automatic Build System <autodist@mambasoft.it> 5.16.3-1mamba
- automatic version update by autodist

* Tue Jul 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.16.2-2mamba
- added a patch to disable by default desktop scroll with vertical mouse wheel

* Wed Jun 26 2019 Automatic Build System <autodist@mambasoft.it> 5.16.2-1mamba
- automatic version update by autodist

* Thu Jun 20 2019 Automatic Build System <autodist@mambasoft.it> 5.16.1-1mamba
- automatic version update by autodist

* Mon Jun 17 2019 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Fri May 10 2019 Automatic Build System <autodist@mambasoft.it> 5.15.5-1mamba
- automatic version update by autodist

* Thu Apr 04 2019 Automatic Build System <autodist@mambasoft.it> 5.15.4-1mamba
- automatic version update by autodist

* Tue Feb 26 2019 Automatic Build System <autodist@mambasoft.it> 5.15.2-1mamba
- automatic version update by autodist

* Wed Feb 20 2019 Automatic Build System <autodist@mambasoft.it> 5.15.1-1mamba
- automatic version update by autodist

* Sun Feb 17 2019 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Tue Jan 08 2019 Automatic Build System <autodist@mambasoft.it> 5.14.5-1mamba
- automatic version update by autodist

* Sat Dec 01 2018 Automatic Build System <autodist@mambasoft.it> 5.14.4-1mamba
- automatic version update by autodist

* Wed Nov 07 2018 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Thu Oct 25 2018 Automatic Build System <autodist@mambasoft.it> 5.14.2-1mamba
- automatic version update by autodist

* Wed Oct 17 2018 Automatic Build System <autodist@mambasoft.it> 5.14.1-1mamba
- automatic version update by autodist

* Thu Oct 11 2018 Automatic Build System <autodist@mambasoft.it> 5.14.0-1mamba
- automatic version update by autodist

* Tue Sep 04 2018 Automatic Build System <autodist@mambasoft.it> 5.13.5-1mamba
- automatic version update by autodist

* Wed Aug 01 2018 Automatic Build System <autodist@mambasoft.it> 5.13.4-1mamba
- automatic version update by autodist

* Tue Jul 10 2018 Automatic Build System <autodist@mambasoft.it> 5.13.3-1mamba
- automatic version update by autodist

* Mon Jul 09 2018 Automatic Build System <autodist@mambasoft.it> 5.13.2-1mamba
- automatic version update by autodist

* Fri Jun 22 2018 Automatic Build System <autodist@mambasoft.it> 5.13.1-1mamba
- automatic version update by autodist

* Wed May 02 2018 Automatic Build System <autodist@mambasoft.it> 5.12.5-1mamba
- automatic version update by autodist

* Tue Mar 27 2018 Automatic Build System <autodist@mambasoft.it> 5.12.4-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.12.3-1mamba
- automatic version update by autodist

* Wed Feb 21 2018 Automatic Build System <autodist@mambasoft.it> 5.12.2-1mamba
- automatic version update by autodist

* Wed Feb 14 2018 Automatic Build System <autodist@mambasoft.it> 5.12.1-1mamba
- automatic version update by autodist

* Sat Feb 10 2018 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jan 03 2018 Automatic Build System <autodist@mambasoft.it> 5.11.5-1mamba
- automatic version update by autodist

* Fri Dec 08 2017 Automatic Build System <autodist@mambasoft.it> 5.11.4-1mamba
- automatic version update by autodist

* Tue Nov 07 2017 Automatic Build System <autodist@mambasoft.it> 5.11.3-1mamba
- automatic version update by autodist

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.11.2-1mamba
- automatic version update by autodist

* Sun Oct 22 2017 Automatic Build System <autodist@mambasoft.it> 5.11.1-1mamba
- automatic version update by autodist

* Thu Oct 12 2017 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Sat Sep 23 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.5-2mamba
- provide synaptiks and conflict with kcm_touchpad

* Wed Aug 23 2017 Automatic Build System <autodist@mambasoft.it> 5.10.5-1mamba
- automatic version update by autodist

* Wed Aug 16 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.10.4-1mamba
- update to 5.10.4

* Thu Sep 15 2016 Automatic Build System <autodist@mambasoft.it> 5.7.5-1mamba
- automatic version update by autodist

* Thu Aug 04 2016 Automatic Build System <autodist@mambasoft.it> 5.7.3-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 5.6.5-1mamba
- automatic version update by autodist

* Mon May 16 2016 Automatic Build System <autodist@mambasoft.it> 5.6.4-1mamba
- automatic version update by autodist

* Sun Mar 06 2016 Automatic Build System <autodist@mambasoft.it> 5.5.5-1mamba
- automatic version update by autodist

* Fri Jan 29 2016 Automatic Build System <autodist@mambasoft.it> 5.5.4-1mamba
- automatic version update by autodist

* Sun Jan 10 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.5.3-1mamba
- package created using the webbuild interface
